import sys
from collections import Counter

if len(sys.argv) == 1:
    print('použitie: python3 subset-scrabble.py zoznam_písmeniek_čo_máš')
    print('vypíše zoznam trojíc "slovo dĺžka frekvencia"')
    sys.exit()

vystup = []

for riadok in open('wordlist-space.utf8').readlines():
    slovo, frekvencia = riadok.split()
    mam_pismenka = Counter(sys.argv[1])
    ok = True
    for pismeno in slovo:
        if mam_pismenka[pismeno] == 0: ok = False
        mam_pismenka[pismeno] -= 1
    if ok:
        vystup.append( (slovo,frekvencia) )

vystup.sort(key = lambda x: -len(x[0]) )

for slovo, frekvencia in vystup: print(slovo,len(slovo),frekvencia)

